loci.formats.in

## Enum BaseZeissReader.DrawStyle

- java.lang.Object
- - java.lang.Enum<BaseZeissReader.DrawStyle>
  - - loci.formats.in.BaseZeissReader.DrawStyle

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BaseZeissReader.DrawStyle>
  Enclosing class:
    BaseZeissReader

      static enum BaseZeissReader.DrawStyle
      extends java.lang.Enum<BaseZeissReader.DrawStyle>

  Line drawing styles.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DASH`
    `DASH_DOT`
    `DASH_DOT_DOT`
    `DOT`
    `NO_LINE`
    `SOLID`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.util.Map<java.lang.Integer,BaseZeissReader.DrawStyle>` | `lookup`
    `private int` | `value`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BaseZeissReader.DrawStyle` | `get(int value)`
    `int` | `getValue()`
    `static BaseZeissReader.DrawStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BaseZeissReader.DrawStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NO_LINE

          public static final BaseZeissReader.DrawStyle NO_LINE

    - #### SOLID

          public static final BaseZeissReader.DrawStyle SOLID

    - #### DOT

          public static final BaseZeissReader.DrawStyle DOT

    - #### DASH

          public static final BaseZeissReader.DrawStyle DASH

    - #### DASH_DOT

          public static final BaseZeissReader.DrawStyle DASH_DOT

    - #### DASH_DOT_DOT

          public static final BaseZeissReader.DrawStyle DASH_DOT_DOT

  - ### Field Detail

    - #### lookup

          private static final java.util.Map<java.lang.Integer,BaseZeissReader.DrawStyle> lookup

    - #### value

          private int value

  - ### Method Detail

    - #### values

          public static BaseZeissReader.DrawStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BaseZeissReader.DrawStyle c : BaseZeissReader.DrawStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BaseZeissReader.DrawStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### get

          public static BaseZeissReader.DrawStyle get(int value)

Copyright © 2026 Open Microscopy Environment